Skip to main content

[GET] In-App Purchase Verification

This API allows you to verify the credibility of an in-app purchase. It is useful for a final verification before delivering the item to the user, ensuring the purchase is correct and preventing fraud. This API does not require authentication.

Endpoint

MethodURL
GEThttps://api.catappult.io/productv2/8.20250505/google/inapp/v3/applications/{packageName}/purchases/products/{sku}/tokens/{purchaseToken}

Authentication

No authentication required.

Path Parameters

ParameterTypeRequiredDescription
packageNamestringRequiredPackage name of the application.
skustringRequiredThe SKU associated to the purchase.
purchaseTokenstringRequiredPurchase ID defined as token in the Purchase class of the SDK.

Response

StatusDescription
200Success. Returns the purchase details.

Success (200) Response Fields

NameTypeDescription
kindStringRepresents a productPurchase.
purchaseTimeMillisStringThe time the product was purchased in milliseconds.
purchaseStateIntegerThe purchase state of the order.
consumptionStateIntegerThe consumption state of the in-app product.
developerPayloadStringA developer-specified string that contains supplemental information about an order.
orderIdStringThe order id associated with the purchase of the in-app product.
acknowledgementStateIntegerThe acknowledgment state of the in-app product.
purchaseTokenStringThe token provided to the user's device when the product was purchased.
productIdStringThe product ID of the product being purchased.
regionCodeStringThe region code for the place where the purchase was made.
currencyStringThe price currency, as an ISO 4217 alphabetic code. Example: USD

Example Response

{
"kind": "androidpublisher#inappPurchase",
"purchaseTimeMillis": "1741713309325",
"purchaseState": 0,
"consumptionState": 1,
"developerPayload": "f54bedc1-65b3-4aa0-a3af-1c0eacc49bf7",
"orderId": "Z3LGN5Q7HWR4EYNM",
"acknowledgementState": 1,
"purchaseToken": "catappult.inapp.purchase.B3TSKHOTY55JQFKS",
"productId": "attempts",
"regionCode": "PT",
"currency": "EUR"
}

purchaseState

ValueDescription
0The purchase is successfully completed.
1The purchase has been cancelled.

consumptionState

ValueDescription
0The purchase is pending consumption.
1The purchase has been consumed.

acknowledgementState

ValueDescription
0The purchase is pending acknowledgement.
1The purchase has been acknowledged.